# SPDX-License-Identifier: MIT
Version:    1.2.1
Release:    0%{?dist}
URL:        https://gitlab.com/rit-fonts/%{fontsource}

%global foundry RIT
%global fontlicense OFL
%global fontlicenses LICENSE.txt
%global fontdocs README.md

%global fontfamily Meera New
%global fontsource MeeraNew
%global fontsummary    OpenType sans-serif font for Malayalam traditional script

%global fonts fonts/otf/*.otf
%global fontconfs meta/67-meera-new-fonts.conf
%global fontappstreams meta/in.org.rachana.meera-new.metainfo.xml

%global fontdescription %{expand:
MeeraNew is a sans-serif font for Malayalam traditional script designed\
by KH Hussain and developed by Rachana Institute of Typography.
}


Source0:    https://gitlab.com/rit-fonts/%{fontsource}/-/archive/%{version}/%{fontsource}-%{version}.tar.bz2

BuildRequires:    fontforge
BuildRequires:    python3
BuildRequires:    python3-fonttools
BuildRequires:    python3-cffsubr
BuildRequires:    make
Obsoletes:   smc-meera-fonts <= 7.0.3

%fontpkg

%prep
%setup -n %{fontsource}-%{version}

%build
%fontbuild
make otf

%install
%fontinstall

%check
%fontcheck

%fontfiles


%changelog
* Mon Dec 20 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.2.1-0
- New release
- Address comments at RHBZ#2031370

* Mon Dec 06 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.2-1
- Obsoletes SMC Meera fonts

* Sun Dec 05 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.2-0
- Update to new upstream release
- Major improvements to OpenType layoutt rules

* Fri Jan 01 2021 Rajeesh KV <rajeeshknambiar@fedoraproject.org> - 1.0-0
- Initial packaging
